﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace SfDataGrid_ScrollViewer
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            Fields = new DataFields();
            DataContext = Fields;
            this.InitializeComponent();
        }
        public DataFields Fields;
    }

    #region DataFields

    public class DataFields
    {
        public List<TestClass> TestClassList0 = TestClass.SetTestClass(3);
        public List<TestClass> TestClassList1 = TestClass.SetTestClass(30);
    }

    #endregion

    #region TestClass

    public class TestClass
    {
        public TestClass(int id, string name)
        {
            Id = id;
            Name = name;
        }
        public int Id { get; set; }
        public string Name { get; set; }

        public static List<TestClass> SetTestClass(int j)
        {
            List<TestClass> TestClassList = new List<TestClass>();

            for (int i = 0; i < j; i++)
            {
                TestClassList.Add(new TestClass(i, RandomString(8)));
            }
            return TestClassList;
        }

        private static Random random = new Random();
        private static string RandomString(int length)
        {
            const string chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
            return new string(Enumerable.Repeat(chars, length)
              .Select(s => s[random.Next(s.Length)]).ToArray());
        }
    }

    #endregion
}
